<?php
/**
 * Defaultwerte
 */
$defaults = array(
	'controller'=>'defaultController',
	'action'=>'defaultAction',
	'param'=>'',
	'lang'=>''
);

/**
 * Routen zur Umwandlung von URL zu einem Steuerarray
 */
$default_route = new fl_route('/:controller/:action/:param');
$default_route->set_defaults($defaults);
$default_route->set_priority(255);
$default_route->set_language_key('lang');

$route_with_language = new fl_route('/:lang/:controller/:action/:param');
$route_with_language->set_defaults($defaults);
$route_with_language->set_priority(100);
$route_with_language->set_partial_regex('lang', '[a-z]{2}');
$route_with_language->set_language_key('lang');

/**
 * Weiterleitung der Startseite auf /pages/start
 */
$pages_start = array(
	'controller'=>'pages',
	'action'=>'start',
	'param'=>'',
	'lang'=>''
);

$startpage = new fl_route('/');
$startpage->set_defaults( $pages_start );
$startpage->set_priority(50);

$start = new fl_route('/:lang/start/:param');
$start->set_defaults( $pages_start );
$start->set_partial_regex('lang', '[a-z]{2}');
$start->set_priority( 51 );

/**
 * Routen zur Konfiguration hinzufuegen
 */
$config['routes'][] = $start;
$config['routes'][] = $startpage;
$config['routes'][] = $route_with_language;
$config['routes'][] = $default_route;

?>
